#include <../arch/arch.h>

void	V_CALL
str2HexCodes(char *dest,char *src)
{
	for(;*src;src++,dest+=2)
		sprintf(dest,"%02X",*src);
	*dest = 0;
}

char	V_CALL
nibble2HexChar(u8_t bits1_4)
{
	bits1_4 &= 0x0F;
	if(bits1_4 <= 9)
		return (char)('0' + bits1_4);
	else
		return (char)('A'+(bits1_4 - 0x0A));
}
